package com.yfd.platform.modules.auxcontrol.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.config.ResponseResult;
import com.yfd.platform.modules.auxcontrol.domain.DeviceAlarmRecord;
import com.yfd.platform.modules.auxcontrol.service.IDeviceAlarmRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 变电站-辅控设备-告警记录 前端控制器
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
@RestController
@RequestMapping("/auxcontrol/device-alarm-record")
@Api(value = "DeviceAlarmRecordController", tags = "变电站辅控设备告警记录")
public class DeviceAlarmRecordController {

    @Resource
    private IDeviceAlarmRecordService deviceAlarmRecordService;

    /**********************************
     * 用途说明: 分页查询变电站辅控设备告警记录
     * 参数说明
     * systemcode     所属系统
     * deviceName     告警设备名称
     * signalName     告警信号名称
     * startDate     (开始日期)
     * endDate      （结束日期）
     * alarmLevel     告警等级
     * status         告警状态
     * page          分页对象
     * 返回值说明: com.yfd.platform.config.ResponseResult 返回分页查询结果
     ***********************************/
    @GetMapping("/page")
    @ApiOperation("分页查询变电站辅控设备告警记录")
    public ResponseResult getDeviceAlarmRecordPage(String systemcode, String deviceName, String signalName, String startDate, String endDate, String alarmLevel, String status, Page<DeviceAlarmRecord> page) {
        //参数校验  所属系统不能为空
        if (systemcode == null) {
            return ResponseResult.error("参数为空");
        }
        //分页查询
        Page<DeviceAlarmRecord> deviceAlarmRecordPage = deviceAlarmRecordService.getDeviceAlarmRecordPage(systemcode, deviceName, signalName, startDate,endDate,alarmLevel,status,page);
        return ResponseResult.successData(deviceAlarmRecordPage);
    }
}
