package com.yfd.platform.modules.auxcontrol.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.auxcontrol.domain.DeviceAlarmRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 变电站-辅控设备-告警记录 服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
public interface IDeviceAlarmRecordService extends IService<DeviceAlarmRecord> {

    /**********************************
     * 用途说明: 生成报警记录
     * 参数说明
     * from  'IEC104','IEC61850'
     * type  'yx','yc'
     * slave_ip   服务器IP
     * address   地址
     * value         值
     * 返回值说明: 无返回值
     ***********************************/
    void doAlaramRecord(String from,String type,String slaveIp,String address,String value);


    /**********************************
     * 用途说明: 分页查询变电站辅控设备告警记录
     * 参数说明
     * systemcode     所属系统
     * deviceName     告警设备名称
     * signalName     告警信号名称
     * startDate     (开始日期)
     * endDate      （结束日期）
     * alarmLevel     告警等级
     * status         告警状态
     * page          分页对象
     * 返回值说明: com.yfd.platform.config.ResponseResult 返回分页查询结果
     ***********************************/
    Page<DeviceAlarmRecord> getDeviceAlarmRecordPage(String systemcode, String deviceName, String signalName, String startDate, String endDate, String alarmLevel, String status, Page<DeviceAlarmRecord> page);
}
